Summary:  An utility for finding files by name via a central database
Name:     mlocate
Version:  0.22.2
Release:  %mkrel 1
License:  GPL
Group:    File tools
URL:      http://carolina.mff.cuni.cz/~trmac/blog/mlocate/
Source0:  http://people.redhat.com/mitr/mlocate/mlocate-%version.tar.bz2
Source1:  updatedb.conf
Source2:  mlocate.cron
BuildRoot: %_tmppath/%name-%version-root
Requires(pre): shadow-utils
Requires(triggerpostun): shadow-utils
Requires(post): grep, sed
Obsoletes: slocate <= 3.1
Provides: slocate = %{version}
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires:   	glibc >= 2.10.1
Requires:   	libstdc++6 >= 4.4.1
Obsoletes:  	%name < %version


%description
Mlocate is a locate/updatedb implementation.  It keeps a database of
all existing files and allows you to lookup files by name.

The 'm' stands for "merging": updatedb reuses the existing database to avoid
rereading most of the file system, which makes updatedb faster and does not
trash the system caches as much as traditional locate implementations.

%prep
%setup -q

%build
%configure2_5x \
	--localstatedir=/var/lib \
	--disable-rpath

%make groupname=slocate

%install
rm -rf %{buildroot}
%makeinstall_std groupname=slocate

mkdir -p %{buildroot}%{_sysconfdir}/cron.daily
# install config file:
install -c -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/updatedb.conf
# install daily cron entry:
install -c -m 755 %{SOURCE2} %{buildroot}/etc/cron.daily/mlocate.cron
# for %ghost:
touch %{buildroot}/var/lib/mlocate/mlocate.db

%find_lang %{name}

%clean
rm -rf %{buildroot}

# for smooth updates:
%triggerpostun -- slocate <= 3.1
%{_sbindir}/groupadd -r -f slocate

%pre
%{_sbindir}/groupadd -r -f slocate 

%post
# for %ghost:
touch /var/lib/mlocate/mlocate.db

%files -f mlocate.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%config(noreplace) %{_sysconfdir}/updatedb.conf
%{_sysconfdir}/cron.daily/mlocate.cron
%attr(2711,root,slocate) %{_bindir}/locate
%{_bindir}/updatedb
%{_mandir}/man*/*
%dir %attr(0750,root,slocate) /var/lib/mlocate
%ghost /var/lib/mlocate/mlocate.db



%changelog
* Tue Nov 17 2009 Texstar <texstar at gmail.com> 0.22.2-1pclos2010
- 0.22.2

* Sat Mar 15 2008 Texstar <texstar@gmail.com> 0.19-1pclos2007
- 0.19

* Fri May 11 2007 Texstar <texstar@gmail.com> 0.17-4pclos2007
- fix post permissions

* Fri May 11 2007 Texstar <texstar@gmail.com> 0.17-3pclos2007
- fix permissions

* Thu May 10 2007 Texstar <texstar@gmail.com> 0.17-2pclos2007
- update spec file

* Wed May 09 2007 Texstar <texstar@gmail.com> 0.17-1pclos2007
- import into pclos 2007 to replace slocate
